transceiver qsfp default-mode 4x10G

hostname veos-1

spanning-tree mode mstp
aaa authorization exec default local
no aaa root
{{ if ( .ParamExists "gamble/router-password" ) -}}
username admin privilege 15 role network-admin secret {{ .Param "gamble/router-password" }}
{{ else -}}
username admin privilege 15 role network-admin secret RocketSkates
{{ end -}}

ip routing
ip route 0.0.0.0/0 10.10.1.1

management api http-commands
   no shutdown
   no protocol http
   protocol https port 443

interface Ethernet1
   description unconfigured

interface Ethernet2
   description unconfigured

interface Ethernet3
   description unconfigured

interface Ethernet4
   description unconfigured

interface Management1
   description Connected to Gamble Lab VLAN 10
   ip address 10.10.1.8/24

end
